<?php

declare(strict_types=1);

namespace Dedi\SyliusPayboxPlugin\Form\Type;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Validator\Constraints\NotBlank;

class PayboxGatewayConfigurationType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('site', TextType::class, [
                'label' => 'dedi_paybox.form.site',
                'constraints' => [
                    new NotBlank(['groups' => ['default', 'sylius']]),
                ],
            ])
            ->add('rang', TextType::class, [
                'label' => 'dedi_paybox.form.rang',
                'constraints' => [
                    new NotBlank(['groups' => ['default', 'sylius']]),
                ],
            ])
            ->add('identifiant', TextType::class, [
                'label' => 'dedi_paybox.form.identifier',
                'constraints' => [
                    new NotBlank(['groups' => ['default', 'sylius']]),
                ],
            ])
            ->add('hmac', TextType::class, [
                'label' => 'dedi_paybox.form.hmac',
                'constraints' => [
                    new NotBlank(['groups' => ['default', 'sylius']]),
                ],
            ])
            ->add('sandbox', CheckboxType::class, [
                'label' => 'dedi_paybox.form.sandbox',
                'required' => false,
            ])
        ;
    }
}
